<?php
/*
Plugin Name: Bakım Modu Eklentisi - BeynSoft
Plugin URI: https://beynsoft.com
Description: Web sitenizi bakım moduna aldığınızda gösterebileceğini basit bir sayfa hayal edin.
Version: 1.0
Author: BeynSoft
Author URI: https://beynsoft.com
License: GPL2
*/

// Eklentinin ana dosyası başarılı bir şekilde yüklendiğinde çalışacak kodlar
function custom_under_construction_init() {
    // Giriş yapmayan kullanıcılara yapım aşaması sayfasını göster
    if (!is_user_logged_in()) {
        add_action('template_redirect', 'custom_under_construction_show_page');
    }
}

// Yapım aşaması sayfasını gösterme işlevi
function custom_under_construction_show_page() {
    include(plugin_dir_path(__FILE__) . 'templates/construction.php');
    exit;
}

// Yönetim paneline eklenti ayarlarını ekleyen işlev
function custom_under_construction_settings_menu() {
    add_options_page('Bakım Modu Ayarları', 'Bakım Modu', 'manage_options', 'custom-under-construction-settings', 'custom_under_construction_settings_page');
}

// Eklenti ayarları sayfasını oluşturan işlev
function custom_under_construction_settings_page() {
    // Ayarları kaydetme işlemini kontrol edelim
    if(isset($_POST['custom_under_construction_settings_submit'])) {
        // Güvenlik amacıyla verileri temizleyelim
        $logo_url = esc_url_raw($_POST['custom_under_construction_logo']);
        $background_color = sanitize_hex_color($_POST['custom_under_construction_background_color']);

        // Ayarları kaydedelim
        update_option('custom_under_construction_logo', $logo_url);
        update_option('custom_under_construction_background_color', $background_color);

        echo '<div class="updated"><p>Ayarlar kaydedildi.</p></div>';
    }

    // Mevcut ayarları alalım
    $logo_url = get_option('custom_under_construction_logo', '');
    $background_color = get_option('custom_under_construction_background_color', '#ffffff');

    // Logo seçimi medya kütüphanesinden yapma formu
    ?>
    <div class="wrap">
        <h2>Bakım Modu Eklentisi Ayarları</h2>
        <form method="post" action="">
            <table class="form-table">
                <tr valign="top">
                    <th scope="row">Logo adresiniz:</th>
                    <td><input type="text" name="custom_under_construction_logo" value="<?php echo esc_attr($logo_url); ?>" /></td>
                </tr>
                <tr valign="top">
                    <th scope="row">Arkaplan renginiz:</th>
                    <td><input type="text" name="custom_under_construction_background_color" value="<?php echo esc_attr($background_color); ?>" class="color-field" /></td>
                </tr>
            </table>
            <input type="submit" name="custom_under_construction_settings_submit" class="button-primary" value="Ayarları Kaydet" />
        </form>
		 
			<p style="margin-top:200px; font-weight: bold; text-align: center; ">Developer By; <a href="https://beynsoft.com" target="_blank">BeynSoft</a></p>
		
		
    </div>
    <?php
}

// Eklenti yüklendiğinde işlevi başlat
add_action('plugins_loaded', 'custom_under_construction_init');

// Yönetim paneli ayarlarını ekle
add_action('admin_menu', 'custom_under_construction_settings_menu');