<?php
// Ayarlar sayfasından kaydedilen logo URL'sini al
$logo_url = get_option('custom_under_construction_logo');
$title = wp_title('', false);
$language_code = get_bloginfo('language');

?>

<!DOCTYPE html>
<html lang="<?php echo esc_attr($language_code); ?>">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
	    <title><?php echo esc_html($title); ?></title>

      <style>
        body {
            background-color: <?php echo esc_html(get_option('custom_under_construction_background_color', '#ffffff')); ?>;
            display: flex;
            justify-content: center;
            align-items: center;
            height: 100vh;
            margin: 0;
        }
        .container {
            text-align: center;
        } 
        .container img {
           max-width: 300px;
            height: auto;
         }
    </style>
</head>
<body>

<div class="container">
    <header>
        <?php if (!empty($logo_url)) : ?>
            <img src="<?php echo esc_url($logo_url); ?>" alt="Logo">
        <?php endif; ?>
     </header>
    
</div>

</body>
</html>
